
// bits.h
// 
// (C) R.E.Wolff@BitWizard.nl
// 
// This program is licenced to you under the GPL version 2.
// Some programs allow you to upgrade the licence to a
// different version of the GPL. This one doesn't. 

/*
 *
 * You can use the functions in this header/library as follows:
 *
 * 
 * A nice shorthand for Port A, bit 0 would be PA0. However the
 * avr libraries define this simply to the bit number: 0. 
 * This header defines pA0. This definition holds information about
 * the port (PORTA) and the bit number (0 in this case). 
 * Now you can pass this define to a function that can do something
 * with this. For example, clear the bit (clr_bit(pA0) ) or make the 
 * IO an output (make_output (pA0) ). 
 *
 * You can call the "standard" functions. These always work, but are
 * slower than neccessary when the port name and bit number are known
 * at compile time. 
 * 
 * In that case, you can call the functions that have _c appended. 
 * These too will "always work", but now you have a space-penalty if 
 * the argument is not a constant.
 *
 */ 


#include "bitdefs.h"

#define FUNCTIONDEFS
#include "bitfuncs.h"
#undef FUNCTIONDEFS

#define CONSTANTVARIANTS
#include "bitfuncs.h"
#undef CONSTANTVARIANTS


// arduino compatiblity defines
#define false 0
#define true 1
#define OUTPUT 1
#define INPUT 0


